Bug Hunting Session
Bug 97799 - calc: frame line color icon in galaxy looks odd ...
Summary: calc: frame line color icon in galaxy looks odd ...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Galaxy
  Show dependency treegraph
 
Reported: 2016-02-12 13:45 UTC by Michael Meeks
Modified: 2018-12-25 14:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
a picture of the same. (2.83 KB, image/png)
2016-02-12 13:45 UTC, Michael Meeks
Details
square color indicator (2.36 KB, image/png)
2016-02-16 15:01 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-02-12 13:45:08 UTC
It looks as if the lc_framelinecolor.png icon in Galaxy has changed how the line color is displayed underneath from a square to the bottom right to a line underneath' but the icon has not caught up =) that leaves rather an odd dis-connect.
Comment 1 Michael Meeks 2016-02-12 13:45:59 UTC
Created attachment 122576 [details]
a picture of the same.
Comment 2 Michael Meeks 2016-02-12 13:46:21 UTC
Kendy - any idea who did that UX tweak ? =)
Comment 3 Jan Holesovsky 2016-02-16 11:27:44 UTC
I don't think this was anything recent, actually :-)

Jay: Please who could fix the icon?  Can you assign accordingly?  Thank you!
Comment 4 Jan Holesovsky 2016-02-16 11:28:12 UTC
[icon-themes/galaxy/cmd/lc_framelinecolor.png is the one in question]
Comment 5 Yousuf Philips (jay) (retired) 2016-02-16 15:01:19 UTC
Created attachment 122691 [details]
square color indicator

So i did some testing of older versions and see that the border color icon used to have a square rather than a rectangle for its color indication and it last worked correctly in this manner in 4.0 and then was broken in 4.1 and in 4.2 it remained broken but was changed to the current rectangle and in 4.3 the broken behaviour was fixed.

The simple solution is to duplicate the border style icon (lc_setborderstyle) in galaxy with it.
Comment 6 Maxim Monastirsky 2016-02-16 15:15:30 UTC
(In reply to Michael Meeks from comment #2)
> any idea who did that UX tweak ? =)

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4f036439f7597d33a9f90860d9a5b6ac28b270c7

https://cgit.freedesktop.org/libreoffice/core/commit/?id=15f79efe1522389d52d068d620beaa268aaebdeb (see the commit message of this one)
Comment 7 QA Administrators 2017-03-06 15:23:34 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-12-25 14:09:08 UTC
Galaxy Theme was removed in LO 6.1

Status->WontFix